## gate
Interface Executable

All Known Subinterfaces:
  Controller, LanguageAnalyser, ProcessingResource

public interface Executable

Describes entities that can be executed such as `ProcessingResource`s or `Controller`s.

Method Summary
`void` `execute()` Starts the execution of this executable
`void` `interrupt()` Notifies this executable that it should stop its execution as soon as possible.
`boolean` `isInterrupted()` Returns true if this executable has been interrupted via the `interrupt()` method since the last time its `execute()` method was called

Method Detail

### execute

    public void execute()
                 throws ExecutionException

  Starts the execution of this executable

### interrupt

    public void interrupt()

  Notifies this executable that it should stop its execution as soon as possible.

### isInterrupted

    public boolean isInterrupted()

  Returns true if this executable has been interrupted via the `interrupt()` method since the last time its `execute()` method was called